#include <AFMotor.h>

AF_DCMotor motor1(1, MOTOR12_1KHZ); //left motor
AF_DCMotor motor2(4, MOTOR34_1KHZ); //right motor
#define R_S 2 // Right sensor
#define L_S 3 // Left sensor

void setup() {
  Serial.begin(9600);
  pinMode(R_S, INPUT);
  pinMode(L_S, INPUT);

}

void loop() {
  //black line is between sensors
  if((digitalRead(R_S) == 0) && (digitalRead(L_S) == 0))
    run();
    //both sensors are over the black line
  if((digitalRead(R_S) == 1) && (digitalRead(L_S) == 1))
    Stop();
  //right sensor is over the black line
  if((digitalRead(R_S) == 1) && (digitalRead(L_S) == 0))
    right();
  //left sensor is over the black line
  if((digitalRead(R_S) == 0) && (digitalRead(L_S) == 1))
    left();
}

void run(){
  motor1.setSpeed(240);
  motor1.run(FORWARD);
  motor2.setSpeed(240);
  motor2.run(FORWARD);
  motor1.setSpeed(100);
  motor1.run(FORWARD);
  motor2.setSpeed(100);
  motor2.run(FORWARD);
  motor1.setSpeed(240);
  motor1.run(FORWARD);
  motor2.setSpeed(240);
  motor2.run(FORWARD);
}

void Stop(){
  motor1.run(RELEASE);
  motor2.run(RELEASE);
}

void right(){
  motor1.setSpeed(150);
  motor1.run(FORWARD);
  motor2.setSpeed(0);
  motor2.run(FORWARD);
  motor1.setSpeed(200);
  motor1.run(FORWARD);
  motor2.setSpeed(0);
  motor2.run(FORWARD);
  motor1.setSpeed(50);
  motor1.run(FORWARD);
  motor2.setSpeed(0);
  motor2.run(FORWARD);
  motor1.setSpeed(200);
  motor1.run(FORWARD);
  motor2.setSpeed(0);
  motor2.run(FORWARD);

}

void left(){
  motor1.setSpeed(0);
  motor1.run(FORWARD);
  motor2.setSpeed(150);
  motor2.run(FORWARD);
  motor1.setSpeed(0);
  motor1.run(FORWARD);
  motor2.setSpeed(200);
  motor2.run(FORWARD);
  motor1.setSpeed(0);
  motor1.run(FORWARD);
  motor2.setSpeed(50);
  motor2.run(FORWARD);
  motor1.setSpeed(0);
  motor1.run(FORWARD);
  motor2.setSpeed(200);
  motor2.run(FORWARD);
  
}